import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

public class ClientObject{
    private Socket clientSocket;
    private PrintWriter out;
    private BufferedReader in;

    public void startConnection(String ip, int port) {
        try{
            clientSocket = new Socket(ip, port);
            out = new PrintWriter(clientSocket.getOutputStream(), true); // OutputStream vom Socket wird auf "out" gelegt
            in = new BufferedReader(new InputStreamReader(clientSocket.getInputStream())); // InputStream wird auf "in" gelegt
        }catch(Exception e){
            System.out.println("Error starting client connection");
            System.out.println(e);
        }
    }

    public String sendMessage(String msg) {
        out.println(msg); // senden der msg über den outputstream des sockets
        String resp = "";
        try{
           resp = in.readLine(); //lesen der antwort
        }catch(Exception e){
            System.out.println("Error reading message");
        }
        return resp;
    }

    public void stopConnection() {
        // schließen des sockets
        try{
            in.close(); 
            out.close();
            clientSocket.close();
        }catch(Exception e){
            System.out.println("Error closing connection");
        }
    }
}